org.apache.maven.artifact.resolver.filter

## Class ExcludesArtifactFilter

- java.lang.Object
- - org.apache.maven.artifact.resolver.filter.IncludesArtifactFilter
  - - org.apache.maven.artifact.resolver.filter.ExcludesArtifactFilter

All Implemented Interfaces:
  ArtifactFilter

    public class ExcludesArtifactFilter
    extends IncludesArtifactFilter

Filter to exclude from a list of artifact patterns.

Version:
  $Id: ExcludesArtifactFilter.java 495147 2007-01-11 07:47:53Z jvanzyl $
Author:
  Brett Porter

### Constructor Summary

Constructors
Constructor and Description
`ExcludesArtifactFilter(java.util.List patterns)`

### Method Summary

Methods
`boolean` `include(Artifact artifact)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ExcludesArtifactFilter

    public ExcludesArtifactFilter(java.util.List patterns)

### Method Detail

#### include

    public boolean include(Artifact artifact)

Specified by:
  `include` in interface `ArtifactFilter`
Overrides:
  `include` in class `IncludesArtifactFilter`